% vim: syntax=prolog
%------------------------------------------------------------------------------
% FICHEIRO: TESTES DE CONTRATO 2 ----------------------------------------------
%------------------------------------------------------------------------------

:- include('../contrato.pl').
:- include('../adjudicante.pl').
:- include('../adjudicataria.pl').
:- include('../utils.pl').

%------------------------------------------------------------------------------
% SICStus PROLOG: Declarações iniciais ---------------------------------------
%------------------------------------------------------------------------------

:- set_prolog_flag( discontiguous_warnings,off ).
:- set_prolog_flag( single_var_warnings,off    ).
:- set_prolog_flag( unknown,fail               ).
:- op( 900,xfy,'::' ).

%------------------------------------------------------------------------------
% Continuação dos testes de evolução de conhecimento relativo ao predicado ----
% `contrato`. -----------------------------------------------------------------
%------------------------------------------------------------------------------
